From 6c526b4c9a97acdf870469e694a0926aba7584bc Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 21:25:06 +0200
Subject: [PATCH 298/308] tealdeer: rebuild for libressl-2.9.2.

---
 srcpkgs/tealdeer/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tealdeer/template b/srcpkgs/tealdeer/template
index 039a5c2f0f6..950a9d0a214 100644
--- a/srcpkgs/tealdeer/template
+++ b/srcpkgs/tealdeer/template
@@ -1,7 +1,7 @@
 # Template file for 'tealdeer'
 pkgname=tealdeer
 version=1.1.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -14,6 +14,10 @@ changelog="https://raw.githubusercontent.com/dbrgn/tealdeer/v${version}/CHANGELO
 distfiles="https://github.com/dbrgn/tealdeer/archive/v${version}.tar.gz"
 checksum=647990936af527e9738e8befb432fdf8dd40e7b2ab0066afc652330fddd3dd0e
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vlicense LICENSE-MIT
 }

